﻿using Orchard.UI.Resources;

namespace AIM.GMap3
{
	public class ResourceManifest : IResourceManifestProvider
	{
		public void BuildManifests(ResourceManifestBuilder builder)
		{
			var manifest = builder.Add();

			// Define the Google Maps API scripts
			manifest.DefineScript("GoogleMapsAPI").SetUrl("//maps.googleapis.com/maps/api/js?sensor=false");
			manifest.DefineScript("GoogleMapsAPI_Sensor").SetUrl("//maps.googleapis.com/maps/api/js?sensor=true");

			// Define the GMap3 scripts
			manifest.DefineScript("GMap3").SetUrl("gmap3.min.js", "gmap3.js").SetVersion("4.1").SetDependencies("jQuery", "GoogleMapsAPI");
			manifest.DefineScript("GMap3_Sensor").SetUrl("gmap3.min.js", "gmap3.js").SetVersion("4.1").SetDependencies("jQuery", "GoogleMapsAPI_Sensor");
		}
	}
}
